;;; -*- Mode:LISP; Package:SYSTEM-INTERNALS; Base:10; Readtable:ZL -*-



(defvar *mbc-array* nil)

(defun setup-mbc ()
  (setq *mbc-array* (make-wireable-array 1 'art-8b nil))
  (let ((address (vadr-to-nubus-phys (1+ (%pointer *mbc-array*)))))
    (fresh-line)
    (write-string "The target address is ")
    (write address :base 16. :radix nil)
    (write-char #\.)
    (terpri)
    (format t "Max block size is ~D.~%" (* sys:page-size 4))))
